-- phpMyAdmin SQL Dump
-- version 5.0.1
-- https://www.phpmyadmin.net/
--
-- Host: localhost
-- Creato il: Gen 27, 2020 alle 17:23
-- Versione del server: 10.4.11-MariaDB
-- Versione PHP: 7.4.2

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `mastostart`
--

-- --------------------------------------------------------

--
-- Struttura della tabella `Admins`
--

CREATE TABLE `Admins` (
  `ID` int(10) UNSIGNED NOT NULL,
  `Username` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL,
  `Email` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
  `Password` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `Blacklist`
--

CREATE TABLE `Blacklist` (
  `ID` int(10) UNSIGNED NOT NULL,
  `Domain` varchar(2048) COLLATE utf8mb4_unicode_ci NOT NULL,
  `CreatedAt` decimal(14,4) UNSIGNED NOT NULL,
  `ModifiedAt` decimal(14,4) UNSIGNED NOT NULL,
  `Severity` tinyint(3) UNSIGNED NOT NULL,
  `RejectMedia` tinyint(1) UNSIGNED NOT NULL,
  `RejectReports` tinyint(1) UNSIGNED NOT NULL,
  `PrivateComment` varchar(4096) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `PublicComment` varchar(4096) COLLATE utf8mb4_unicode_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `Financing`
--

CREATE TABLE `Financing` (
  `ID` int(10) UNSIGNED NOT NULL,
  `Type` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `InstActivity`
--

CREATE TABLE `InstActivity` (
  `InstID` bigint(20) UNSIGNED NOT NULL,
  `Week` int(10) UNSIGNED NOT NULL,
  `Statuses` int(10) UNSIGNED NOT NULL,
  `Logins` int(10) UNSIGNED NOT NULL,
  `Registrations` int(10) UNSIGNED NOT NULL,
  `Pos` tinyint(3) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `Instances`
--

CREATE TABLE `Instances` (
  `ID` bigint(20) UNSIGNED NOT NULL,
  `New` tinyint(1) UNSIGNED NOT NULL,
  `Good` tinyint(1) UNSIGNED NOT NULL,
  `Chosen` tinyint(1) UNSIGNED NOT NULL,
  `Visible` tinyint(1) UNSIGNED NOT NULL,
  `Blacklisted` tinyint(1) UNSIGNED NOT NULL,
  `URI` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL,
  `Title` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ShortDesc` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `LongDesc` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `OurDesc` varchar(8192) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `LocalityID` int(10) UNSIGNED DEFAULT NULL,
  `Email` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `Software` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `Version` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `UserCount` int(10) UNSIGNED DEFAULT NULL,
  `StatusCount` bigint(20) UNSIGNED DEFAULT NULL,
  `DomainCount` int(10) UNSIGNED DEFAULT NULL,
  `ActiveUsersMonth` int(10) UNSIGNED DEFAULT NULL,
  `ActiveUsersHalfYear` int(10) UNSIGNED DEFAULT NULL,
  `Thumb` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `RegOpen` tinyint(1) UNSIGNED DEFAULT NULL,
  `RegReqApproval` tinyint(1) UNSIGNED DEFAULT NULL,
  `MaxTootChars` mediumint(8) UNSIGNED DEFAULT NULL,
  `AdmAccount` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `AdmDisplayName` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `AdmCreatedAt` decimal(14,4) UNSIGNED DEFAULT NULL,
  `AdmNote` varchar(4096) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `AdmURL` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `AdmAvatar` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `AdmHeader` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `InstChecks`
--

CREATE TABLE `InstChecks` (
  `InstID` bigint(20) UNSIGNED NOT NULL,
  `Time` int(10) UNSIGNED NOT NULL,
  `Status` tinyint(1) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `InstFinancing`
--

CREATE TABLE `InstFinancing` (
  `InstID` bigint(20) UNSIGNED NOT NULL,
  `FinID` int(10) UNSIGNED NOT NULL,
  `Pos` tinyint(3) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `InstLangs`
--

CREATE TABLE `InstLangs` (
  `InstID` bigint(20) UNSIGNED NOT NULL,
  `LangID` int(10) UNSIGNED NOT NULL,
  `Pos` tinyint(3) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `InstOurLangs`
--

CREATE TABLE `InstOurLangs` (
  `InstID` bigint(20) UNSIGNED NOT NULL,
  `OurLangID` int(10) UNSIGNED NOT NULL,
  `Pos` tinyint(3) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `InstPolicies`
--

CREATE TABLE `InstPolicies` (
  `InstID` bigint(20) UNSIGNED NOT NULL,
  `PolID` int(10) UNSIGNED NOT NULL,
  `Pos` tinyint(3) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `InstTags`
--

CREATE TABLE `InstTags` (
  `InstID` bigint(20) UNSIGNED NOT NULL,
  `TagID` int(10) UNSIGNED NOT NULL,
  `Pos` tinyint(3) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `InstTrends`
--

CREATE TABLE `InstTrends` (
  `InstID` bigint(20) UNSIGNED NOT NULL,
  `LastDay` int(10) UNSIGNED NOT NULL,
  `Name` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL,
  `URL` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL,
  `Pos` smallint(5) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `Languages`
--

CREATE TABLE `Languages` (
  `ID` int(11) UNSIGNED NOT NULL,
  `Code` varchar(16) COLLATE utf8mb4_unicode_ci NOT NULL,
  `NameIT` varchar(48) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `NameEN` varchar(48) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `NameFR` varchar(48) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `NameES` varchar(48) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `NameOrig` varchar(48) COLLATE utf8mb4_unicode_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `Localities`
--

CREATE TABLE `Localities` (
  `ID` int(10) UNSIGNED NOT NULL,
  `Locality` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ProvinceID` int(10) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `Notifications`
--

CREATE TABLE `Notifications` (
  `ID` bigint(20) UNSIGNED NOT NULL,
  `Notification` varchar(15000) COLLATE utf8mb4_unicode_ci NOT NULL,
  `Severity` tinyint(3) UNSIGNED NOT NULL,
  `Microtime` decimal(14,4) UNSIGNED NOT NULL,
  `Seen` tinyint(1) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `Platforms`
--

CREATE TABLE `Platforms` (
  `ID` mediumint(8) UNSIGNED NOT NULL,
  `Name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `Policies`
--

CREATE TABLE `Policies` (
  `ID` int(10) UNSIGNED NOT NULL,
  `Name` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `Presets`
--

CREATE TABLE `Presets` (
  `ID` int(10) UNSIGNED NOT NULL,
  `Name` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `PresFiltConds`
--

CREATE TABLE `PresFiltConds` (
  `PresID` int(10) UNSIGNED NOT NULL,
  `OpenPar` varchar(3) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `Field` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
  `Cond` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ValueSel` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ValueInp` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ClosePar` varchar(3) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `AndOr` varchar(3) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `Pos` tinyint(3) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `PresOrdConds`
--

CREATE TABLE `PresOrdConds` (
  `PresID` int(10) UNSIGNED NOT NULL,
  `Field` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
  `Sort` varchar(4) COLLATE utf8mb4_unicode_ci NOT NULL,
  `Pos` tinyint(3) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `Provinces`
--

CREATE TABLE `Provinces` (
  `ID` int(10) UNSIGNED NOT NULL,
  `Province` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
  `RegionID` int(10) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `Regions`
--

CREATE TABLE `Regions` (
  `ID` int(10) UNSIGNED NOT NULL,
  `Region` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
  `StateID` int(10) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `StartNodes`
--

CREATE TABLE `StartNodes` (
  `ID` smallint(5) UNSIGNED NOT NULL,
  `Domain` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `States`
--

CREATE TABLE `States` (
  `ID` int(10) UNSIGNED NOT NULL,
  `State` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `Tags`
--

CREATE TABLE `Tags` (
  `ID` int(10) UNSIGNED NOT NULL,
  `Name` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `Whitelist`
--

CREATE TABLE `Whitelist` (
  `ID` mediumint(8) UNSIGNED NOT NULL,
  `Domain` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Indici per le tabelle scaricate
--

--
-- Indici per le tabelle `Admins`
--
ALTER TABLE `Admins`
  ADD PRIMARY KEY (`ID`);

--
-- Indici per le tabelle `Blacklist`
--
ALTER TABLE `Blacklist`
  ADD PRIMARY KEY (`ID`);

--
-- Indici per le tabelle `Financing`
--
ALTER TABLE `Financing`
  ADD PRIMARY KEY (`ID`);

--
-- Indici per le tabelle `Instances`
--
ALTER TABLE `Instances`
  ADD PRIMARY KEY (`ID`);

--
-- Indici per le tabelle `Languages`
--
ALTER TABLE `Languages`
  ADD PRIMARY KEY (`ID`);

--
-- Indici per le tabelle `Localities`
--
ALTER TABLE `Localities`
  ADD PRIMARY KEY (`ID`);

--
-- Indici per le tabelle `Notifications`
--
ALTER TABLE `Notifications`
  ADD PRIMARY KEY (`ID`);

--
-- Indici per le tabelle `Platforms`
--
ALTER TABLE `Platforms`
  ADD PRIMARY KEY (`ID`);

--
-- Indici per le tabelle `Policies`
--
ALTER TABLE `Policies`
  ADD PRIMARY KEY (`ID`);

--
-- Indici per le tabelle `Presets`
--
ALTER TABLE `Presets`
  ADD PRIMARY KEY (`ID`);

--
-- Indici per le tabelle `Provinces`
--
ALTER TABLE `Provinces`
  ADD PRIMARY KEY (`ID`);

--
-- Indici per le tabelle `Regions`
--
ALTER TABLE `Regions`
  ADD PRIMARY KEY (`ID`);

--
-- Indici per le tabelle `StartNodes`
--
ALTER TABLE `StartNodes`
  ADD PRIMARY KEY (`ID`);

--
-- Indici per le tabelle `States`
--
ALTER TABLE `States`
  ADD PRIMARY KEY (`ID`);

--
-- Indici per le tabelle `Tags`
--
ALTER TABLE `Tags`
  ADD PRIMARY KEY (`ID`);

--
-- Indici per le tabelle `Whitelist`
--
ALTER TABLE `Whitelist`
  ADD PRIMARY KEY (`ID`);

--
-- AUTO_INCREMENT per le tabelle scaricate
--

--
-- AUTO_INCREMENT per la tabella `Admins`
--
ALTER TABLE `Admins`
  MODIFY `ID` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT per la tabella `Blacklist`
--
ALTER TABLE `Blacklist`
  MODIFY `ID` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT per la tabella `Financing`
--
ALTER TABLE `Financing`
  MODIFY `ID` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT per la tabella `Instances`
--
ALTER TABLE `Instances`
  MODIFY `ID` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT per la tabella `Languages`
--
ALTER TABLE `Languages`
  MODIFY `ID` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT per la tabella `Localities`
--
ALTER TABLE `Localities`
  MODIFY `ID` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT per la tabella `Notifications`
--
ALTER TABLE `Notifications`
  MODIFY `ID` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT per la tabella `Platforms`
--
ALTER TABLE `Platforms`
  MODIFY `ID` mediumint(8) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT per la tabella `Policies`
--
ALTER TABLE `Policies`
  MODIFY `ID` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT per la tabella `Presets`
--
ALTER TABLE `Presets`
  MODIFY `ID` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT per la tabella `Provinces`
--
ALTER TABLE `Provinces`
  MODIFY `ID` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT per la tabella `Regions`
--
ALTER TABLE `Regions`
  MODIFY `ID` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT per la tabella `StartNodes`
--
ALTER TABLE `StartNodes`
  MODIFY `ID` smallint(5) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT per la tabella `States`
--
ALTER TABLE `States`
  MODIFY `ID` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT per la tabella `Tags`
--
ALTER TABLE `Tags`
  MODIFY `ID` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT per la tabella `Whitelist`
--
ALTER TABLE `Whitelist`
  MODIFY `ID` mediumint(8) UNSIGNED NOT NULL AUTO_INCREMENT;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
